Package org.eclipse.m2m.atl.emftvm.trace

# Interface TraceLink

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TraceLinkImpl`

public interface TraceLink extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Link'.

See Also:
  - `TracePackage.getTraceLink()`

## Method Summary

Modifier and Type
Method
Description
`TracedRule`
`getRule()`
Returns the value of the 'Rule' container reference.
`SourceElement`
`getSourceElement(String name, boolean create)`
`org.eclipse.emf.common.util.EList<SourceElement>`
`getSourceElements()`
Returns the value of the 'Source Elements' containment reference list.
`TargetElement`
`getTargetElement(String name)`
`org.eclipse.emf.common.util.EList<TargetElement>`
`getTargetElements()`
Returns the value of the 'Target Elements' containment reference list.
`boolean`
`isOverridden()`
Returns the value of the 'Overridden' attribute.
`void`
`setOverridden(boolean value)`
Sets the value of the '`Overridden`' attribute.
`void`
`setRule(TracedRule value)`
Sets the value of the '`Rule`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getRule

TracedRule getRule()
Returns the value of the 'Rule' container reference. It is bidirectional and its opposite is '`Links`'.

If the meaning of the 'Rule' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rule' container reference.
See Also:
  - `setRule(TracedRule)`
  - `TracePackage.getTraceLink_Rule()`
  - `TracedRule.getLinks()`

### setRule

void setRule(TracedRule value)
Sets the value of the '`Rule`' container reference.

Parameters:
  `value` - the new value of the 'Rule' container reference.
See Also:
  - `getRule()`

### isOverridden

boolean isOverridden()
Returns the value of the 'Overridden' attribute. The default value is `"false"`.

If the meaning of the 'Overridden' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Overridden' attribute.
See Also:
  - `setOverridden(boolean)`
  - `TracePackage.getTraceLink_Overridden()`

### setOverridden

void setOverridden(boolean value)
Sets the value of the '`Overridden`' attribute.

Parameters:
  `value` - the new value of the 'Overridden' attribute.
See Also:
  - `isOverridden()`

### getSourceElement

SourceElement getSourceElement(String name, boolean create)

### getTargetElement

TargetElement getTargetElement(String name)

### getSourceElements

org.eclipse.emf.common.util.EList<SourceElement> getSourceElements()
Returns the value of the 'Source Elements' containment reference list. The list contents are of type `SourceElement`. It is bidirectional and its opposite is '`Source Of`'.

If the meaning of the 'Source Elements' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source Elements' containment reference list.
See Also:
  - `TracePackage.getTraceLink_SourceElements()`
  - `SourceElement.getSourceOf()`

### getTargetElements

org.eclipse.emf.common.util.EList<TargetElement> getTargetElements()
Returns the value of the 'Target Elements' containment reference list. The list contents are of type `TargetElement`. It is bidirectional and its opposite is '`Target Of`'.

If the meaning of the 'Target Elements' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Target Elements' containment reference list.
See Also:
  - `TracePackage.getTraceLink_TargetElements()`
  - `TargetElement.getTargetOf()`